<?xml version="1.0" encoding="utf-8"?>
<LWM2M xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://www.openmobilealliance.org/tech/profiles/LWM2M.xsd">
	<Object ObjectType="MODefinition">
		<Name>OMA-TinyML</Name>
		<Description1><![CDATA[Semantic rappresentation of an Machine Learning capability embedded in an IoT device.]]></Description1>
		<ObjectID>20000</ObjectID>
		<ObjectURN></ObjectURN>
		<MultipleInstances>Multiple</MultipleInstances>
		<Mandatory>Optional</Mandatory>
		<Resources>
			<Item ID="0">
				<Name>AI application</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>String</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units></Units>
				<Description><![CDATA[This resource describes the type of inference that can be performed by physical device (e.g. object detection, face recognition, audio classification).]]></Description>
			</Item>
			<Item ID="1">
				<Name>Model</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>String</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units></Units>
				<Description><![CDATA[This resouce describes the type of  Artificial Neural Network (ANN) that the device runs locally and for which it can provide an inference (e.g. Convolutional Neural Network -CNN-).]]></Description>
			</Item>
			<Item ID="2">
				<Name>CPU</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>Float</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units>Hz</Units>
				<Description><![CDATA[This resource provides details about the processing capabilities of the device. ]]></Description>
			</Item>
			<Item ID="3">
				<Name>Start inference</Name>
				<Operations>E</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Mandatory</Mandatory>
				<Type>String</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units></Units>
				<Description><![CDATA[This resource triggers the execution of the inference task by a consumer application.]]></Description>
			</Item>
			<Item ID="4">
				<Name>Output</Name>
				<Operations>R</Operations>
				<MultipleInstances>Single</MultipleInstances>
				<Mandatory>Optional</Mandatory>
				<Type>String</Type>
				<RangeEnumeration></RangeEnumeration>
				<Units></Units>
				<Description><![CDATA[This resource provides the output of the inference performed (e.g. the set of detected objects).]]></Description>
			</Item>
			
			
			
			
		</Resources>
		<Description2><![CDATA[]]></Description2>
	</Object>
</LWM2M>
